﻿using KMeansBase;
using static kMeans.Helper;

namespace kMeans;

public static class Program
{
    private const string Coordinates = "coordinates.csv";
    private const int K = 3;
    private const string PlotOut = "plot.png";

    public static void Main()
    {
        Console.WriteLine("k-Means-Algorithm");
        var points = Csv.Parse(Coordinates).ToList();

        KMeansBase.KMeans.KMeansCalculation(points, K, out var centroids);

        var plot = CreatePlot(points, centroids);
        ExportPlot(plot, PlotOut);
        PreviewPlot(PlotOut);
    }
}